Skip to main content
POST
/
v1
/
wallets
/
{wallet_id}
/
raw_sign
curl --request POST \ --url https://api.privy.io/v1/wallets/{wallet_id}/raw_sign \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --header 'privy-app-id: <privy-app-id>' \ --data ' { "params": { "hash": "0x0775aeed9c9ce6e0fbc4db25c5e4e6368029651c905c286f813126a09025a21e" } } '
{
  "method": "raw_sign",
  "data": {
    "signature": "<string>",
    "encoding": "hex"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK methods

Learn more about signing with other chains using our SDKs here.
To see how to use raw sign for chains with Tier 2 support, see this recipe.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

privy-authorization-signature
string

Request authorization signature. If multiple signatures are required, they should be comma separated.

privy-request-expiry
string

Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the request must be processed.

privy-idempotency-key
string

Idempotency keys ensure API requests are executed only once within a 24-hour window.

Path Parameters

wallet_id
string
required

ID of the wallet.

Body

application/json

Provide either hash (to sign a pre-computed hash) OR bytes, encoding, and hash_function (to hash and then sign). These options are mutually exclusive.

params
RawSignHashParams · object
required

Parameters for signing a pre-computed hash with the raw_sign RPC.

Response

200 - application/json

Signature and encoding.

Response to the raw_sign RPC.

method
enum<string>
required
Available options:
raw_sign
data
RawSignResponseData · object
required

Data returned by the raw_sign RPC.